Skip to main content
GET
Get memory

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Headers

X-As-User
string | null

Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token

Path Parameters

source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
imap,
google_meet,
box,
dropbox,
github,
gitlab,
google_drive,
vault,
web_crawler,
trace,
microsoft_outlook,
microsoft_teams,
granola,
fathom,
fireflies,
figma,
linear,
hubspot,
salesforce,
coda,
confluence,
jira,
metabase,
gong,
clickup,
lightfield,
pylon,
fellow,
odoo,
external_mcp
resource_id
string
required

Response

Successful Response

A document-shaped API response containing the hyperdoc tree.

resource_id
string
required
source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
imap,
google_meet,
box,
dropbox,
github,
gitlab,
google_drive,
vault,
web_crawler,
trace,
microsoft_outlook,
microsoft_teams,
granola,
fathom,
fireflies,
figma,
linear,
hubspot,
salesforce,
coda,
confluence,
jira,
metabase,
gong,
clickup,
lightfield,
pylon,
fellow,
odoo,
external_mcp
type
string
required

Hyperdoc document type discriminator (document, message, file, event, ...).

document
any
required

The full hyperdoc tree. Switch on type for the document frame and recurse through children for the body.

title
string | null

Human-readable document title.

status
enum<string> | null

Indexing status of the document.

Available options:
pending,
processing,
completed,
failed,
pending_review,
skipped,
filtered,
cancelled
collection
string | null

The document's collection, if any.

metadata
Metadata · object

Filterable custom metadata attached to the document.

ingested_at
string<date-time> | null

When Hyperspell first indexed the document.

last_modified_at
string<date-time> | null

When the source document was last modified, if supplied by the source.

document_date
string<date-time> | null

The document's own date (e.g. email sent date, event date).